DS_FIND_DESCRIPTOR_PARENT(3)

EXPERIMENTAL_FUNC
ds_find_descriptor_parent - Find the index of the data structure containing a descriptor.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_find_descriptor_parent

(CONST multi_array *multi_desc, void *pointer)

DESCRIPTION
Find the index of the data structure containing a descriptor.

multi_desc
    The multi_array descriptor to search.

pointer
    The pointer to search for. This may be an array or packet descriptor.

RETURN VALUE
The index of the top-level data structure if found, else the number of data structures.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/